@charset "utf-8";

/* 基本設定ここから */
:root {
    --main-color: #96323C;
    --sub-color: #DFC1C4;
    --bg-color: #F7F8F8;
    --text-color: #666666;
    --mouseover-color: #C0848A;
}

img{
    width: 100%;
}
/* 基本設定ここまで */

html {
    visibility: hidden;
}

html.wf-active {
    visibility: visible;
}

body{
    position: sticky; /*fixed;*/
    top: 0;
    left: 0;
    width: 100%;
    overflow-x: hidden;
    font-family: "a-otf-ud-shin-maru-go-pr6n", sans-serif;
    color: var(--text-color);
    background-color: var(--main-color);
    @media screen and (max-width: 1032px){
        height: 100dvh;
    }
}

button {
    touch-action: manipulation;
}

/* ヘッダーエリア */
header{
    height: 85px;
    display: flex;
    align-items: center;
    color: #fff;
    @media screen and (max-width: 1032px){
        height: 90px;
    }
    .home_button{
        position: relative;
        width: 53px;
        margin-left: 59px;
        &::before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            border-radius: 6.4px;
            background-color: rgba(0, 0, 0, 0.2);
            opacity: 0;
            transition: opacity 0.3s ease; 
        }
        &:hover{
            &::before{
                opacity: 1;
            }
        }
        @media screen and (max-width: 1032px){
            width: 35px;
            margin-left: 30px;
            &::before {
                border-radius: 4.2px;
            }
        }
        @media screen and (max-width: 575px){
            margin-left: 20px;
        }
    }
    h1{
        font-weight: bold;
        margin: auto;
        display: flex;
        align-items: center;
        position: relative;
        padding-right: 112px;
        @media screen and (max-width: 1032px){
            padding-right: 0;
        }
        .h1-title {
            font-size: 35px; 
            margin: 0;
            @media screen and (max-width: 1032px){
                font-size: 1.9em;
            }
            @media screen and (max-width: 575px){
                font-size: 1.4375em;
            }
        }
        .h1-subtitle {
            font-size: 24px;
            display: block;
            margin-bottom: -10px;
            @media screen and (max-width: 1032px){
                font-size: 1.1875em;
            }
            @media screen and (max-width: 575px){
                font-size: 0.8125em;
            }
        }
    }
    .hamburger_area{
        display: none;
    }
        @media screen and (max-width: 1032px){
            .hamburger_area{
                display: block;
                /* ハンバーガーメニュー */
                .header_hamburger {
                    position: relative;
                    width: 32px;
                    height: 32px;
                    margin-right: 30px;
                    @media screen and (max-width: 575px){
                        margin-right: 20px;
                    }
                }
                .hamburger {
                    background-color: transparent;
                    border-color: transparent;
                    z-index: 100;
                    span {
                        display: block;
                        position: absolute;
                        width: 100%;
                        height: 2px;
                        left: 0;
                        background-color: #fff;
                        transition: ease .35s;
                        &:nth-child(1) {
                            top: 3px;
                        }
                        &:nth-child(2) {
                            top: 14px;
                        }
                        &:nth-child(3) {
                            top: 25px;
                        }
                    }
                }  
                    
                /* ハンバーガーメニュークリック後のスタイル */   
                .hamburger.active{
                    span{
                        &:nth-child(1) {
                            top: 11px;
                            transform: rotate(45deg);
                        }
                        &:nth-child(2) {
                            width: 0;
                            left: 50%;
                        }
                        &:nth-child(3) {
                            top: 11px;
                            transform: rotate(-45deg);
                        } 
                    }
                }
                /* オフキャンバス */
                .offcanvas_menu_area {
                    position: fixed;
                    top: 0;
                    right: 0;
                    width: 100%;
                    max-width: 380px;
                    height: 100%;
                    transform: translateX(100%);
                    background-color: var(--main-color);
                    transition: ease .4s;
                    z-index: 99;
                    overflow-y: auto;
                    .offcanvas_menu{
                        margin-top: 130px;
                        li.nav__item{
                            padding-left: 50px;
                            margin-bottom: 30px;
                            font-size: 1.25em;
                            small.font_19{
                                font-size: 19px;
                            }
                            small.font_18{
                                font-size: 18px;
                            }
                        }
                        li.nav__item.current{
                            display: flex;
                            align-items: center;
                            padding-left: 0;
                            &::before{
                                display: block;
                                content: '';
                                width: 30px;
                                height: 20px;
                                margin-right: 20px;
                                background-color: rgba(255, 255, 255, 0.5);
                            }
                        }
                    }
                }
                .offcanvas_menu_area.active {
                    transform: translateX(0);
                }
                .offcanvas_backdrop.active{
                    position: fixed;
                    left: 0;
                    top: 0;
                    width: 100vw;
                    height: 100vh;
                    z-index: 5;
                    background-color: #000;
                    opacity: 0.6;
                    transition: all 0.5s;
                }
            }
        }
}

/* グレー背景のエリア */
main {
    display: grid;
    grid-template-columns: 460px calc(100% - 460px); 
    /* 画面の高さからヘッダーの高さ＋main内のpdding-topの高さを引いた数に90%と10%を掛ける */
    grid-template-rows: calc((100dvh - 85px - 50px) * 0.9) calc((100dvh - 85px - 50px) * 0.1);
    padding-top: 50px;
    border-radius: 50px 50px 0 0;
    background: var(--bg-color) url(../../images/common/background.svg) center/cover no-repeat fixed;
    /* 画面の高さがヘッダーの高さ＋main内のpdding-topの高さ＋サイドメニューの高さよりも小さくなった時の処理 */
        @media screen and (max-height: 906px){
            grid-template-rows: calc(780px * 0.9) calc(780px * 0.1);
        } 
        @media screen and (max-width: 1032px){
            display: flex;
            flex-direction: column;
            height: calc(100dvh - 90px);
            min-height: auto;
            padding-top: 20px;
            border-radius: 20px 20px 0 0;
        }
        @media screen and (max-width: 575px){
            padding-top: 15px;
        }
    /* サイドメニュー */
    #side{
        .side_menu_area{
            grid-area: 1 / 1 / 3 / 2;
            padding-left: 60px;
            .side_menu{
                width: 350px;
                padding: 40px 0;
                color: #fff;
                font-size: 20px;
                border-radius: 30px;
                background-color: var(--main-color);
                li.nav__item{
                    margin-block: calc((1em - 1lh) / 2);
                    margin-bottom: 30px;
                    padding-left: 50px;
                    &:last-child{
                        margin-bottom: 0;
                    }
                    small.font_19{
                        font-size: 19px;
                    }
                    small.font_18{
                        font-size: 18px;
                    }
                    a{
                        transition: color .3s;
                        &:hover{
                            color: var(--mouseover-color);
                        }
                    }
                }
                li.nav__item.current{
                    display: flex;
                    align-items: center;
                    padding-left: 0;
                    &::before{
                        display: block;
                        content: '';
                        width: 30px;
                        height: 20px;
                        margin-right: 20px;
                        background-color: rgba(255, 255, 255, 0.5);
                    }
                }
            }
        }
        @media screen and (max-width: 1032px){
            display: none;
        }
    }
}